From 9d4402fb1c7a234160b5d66dd82c04263fe7c9cc Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Wed, 29 Sep 2021 18:02:32 -0700
Subject: [PATCH v1 3/6] Reference test binary using TESTDIR in
 001_libpq_pipeline.pl.

The previous approach didn't really work on windows, due to the PATH separator
being ';' not ':'. Instead of making the PATH change more complicated,
reference the binary using the TESTDIR environment.

Reported-By: Andres Freund <andres@anarazel.de>
Suggested-By: Andrew Dunstan <andrew@dunslane.net>
Discussion: https://postgr.es/m/20210930214040.odkdd42vknvzifm6@alap3.anarazel.de
Backpatch: 14-, where the test was introduced.
---
 src/test/modules/libpq_pipeline/t/001_libpq_pipeline.pl | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/test/modules/libpq_pipeline/t/001_libpq_pipeline.pl b/src/test/modules/libpq_pipeline/t/001_libpq_pipeline.pl
index 49f211c8270..6721edfa719 100644
--- a/src/test/modules/libpq_pipeline/t/001_libpq_pipeline.pl
+++ b/src/test/modules/libpq_pipeline/t/001_libpq_pipeline.pl
@@ -14,9 +14,9 @@ $node->init;
 $node->start;
 
 my $numrows = 700;
-$ENV{PATH} = "$ENV{TESTDIR}:$ENV{PATH}";
+my $libpq_pipeline = "$ENV{TESTDIR}/libpq_pipeline";
 
-my ($out, $err) = run_command([ 'libpq_pipeline', 'tests' ]);
+my ($out, $err) = run_command([ $libpq_pipeline, 'tests' ]);
 die "oops: $err" unless $err eq '';
 my @tests = split(/\s+/, $out);
 
@@ -39,8 +39,8 @@ for my $testname (@tests)
 	# Execute the test
 	$node->command_ok(
 		[
-			'libpq_pipeline', @extraargs,
-			$testname,        $node->connstr('postgres')
+			$libpq_pipeline, @extraargs,
+			$testname,       $node->connstr('postgres')
 		],
 		"libpq_pipeline $testname");
 
-- 
2.32.0.rc2

